Skip to main content
GET
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
ugc
Retrieve campaign UGC
curl --request GET \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ugc \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "brand_id": 123,
      "brand_media_id": 123,
      "brand_media_status": "<string>",
      "callback_socket_id": "<string>",
      "can_publish_within": {
        "end": "<string>",
        "start": "<string>"
      },
      "caption_question": {
        "is_question": true,
        "user_overridden": true
      },
      "caption_sentiment": {
        "is_negative": true,
        "is_neutral": true,
        "is_positive": true,
        "user_overridden": true
      },
      "collections": {},
      "comment_sentiment": {
        "is_negative": true,
        "is_neutral": true,
        "is_positive": true,
        "user_overridden": true
      },
      "community_engagement": 123,
      "content_rights_expiry_date": "2023-11-07T05:31:56Z",
      "content_rights_requested_by": "<string>",
      "content_rights_requested_date": "2023-11-07T05:31:56Z",
      "content_tags": [
        "Tag 1",
        "Tag 2"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "creator": {
        "avatar_url": "<string>",
        "handle": "<string>"
      },
      "custom_metrics": [
        {
          "aggregation": "<string>",
          "description": "<string>",
          "formula": "<string>",
          "id": 123,
          "metric_format": "<string>",
          "name": "<string>",
          "value": 123
        }
      ],
      "facebook": {},
      "id": 123,
      "image": {
        "sizes": {
          "original": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "medium_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "original_converted": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          }
        },
        "editor_data": {
          "aspect_ratio": "<string>",
          "canvas_data": {
            "height": 123,
            "left": 123,
            "natural_height": 123,
            "natural_width": 123,
            "top": 123,
            "width": 123
          },
          "zoom_value": 123
        },
        "transforms": {
          "crop": {
            "height": 123,
            "width": 123,
            "x": 123,
            "y": 123
          },
          "parent_media_id": 123
        }
      },
      "instagram": {},
      "instagram_ads": {},
      "instagram_story": {},
      "instagram_story_frame": {},
      "instagram_user": {},
      "likeshop": {
        "clicks": 123,
        "links": "<string>",
        "tiktok_clicks": 123
      },
      "linkedin": {},
      "media_group": 123,
      "meta": {
        "filename": "<string>",
        "last_modified_at": "<string>",
        "uploaded_by": 123
      },
      "pinterest": {},
      "predictions": {
        "ad_engagement": 123,
        "conversions": 123,
        "engagement": 123,
        "link_clicks": 123
      },
      "snapchat": {},
      "source_account_id": "<string>",
      "source_created_at": "2023-11-07T05:31:56Z",
      "source_id": "<string>",
      "threads": {},
      "tiktok": {},
      "tiktok_ad": {},
      "twitter": {},
      "updated_at": "2023-11-07T05:31:56Z",
      "variants": [],
      "video": {
        "sizes": {
          "original": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "medium_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "original_converted": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          }
        },
        "duration": 123,
        "editor_data": {
          "aspect_ratio": "<string>"
        },
        "frame_rate": 123,
        "thumbnails": {
          "medium_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "original": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "original_converted": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          },
          "small_square": {
            "url": "<string>",
            "height": 123,
            "size": 123,
            "width": 123
          }
        },
        "transforms": {
          "crop": {
            "height": 123,
            "width": 123,
            "x": 123,
            "y": 123
          },
          "disable_audio_track": true,
          "parent_media_id": 123,
          "trim": {
            "end_time": 123,
            "start_time": 123
          }
        },
        "video_conversion_warnings": "<unknown>"
      },
      "video_predictions": {
        "engagement": [
          123
        ]
      },
      "video_predictions_interval_sec": 123,
      "video_suggested_thumbnail_list": [
        {
          "frame_position": 123,
          "index": 123,
          "predictions": {
            "engagement": 123
          },
          "url": "<string>"
        }
      ],
      "visual_features": "<string>",
      "youtube": {}
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

campaign_id
integer
required

The ID of the campaign object.

Required range: x >= 0

Query Parameters

sort
string

Media filter order. "-" means in a desc order.

Example:

"-DATE"

type
enum<string>

UGC Type

Available options:
mentioned,
MENTIONED,
tagged,
TAGGED,
all,
ALL,
any,
ANY
Example:

"MENTIONED"

limit
integer
default:100

Limit of records per response.

offset
integer
default:0

Offset of records.

source_created_on_or_after
string | null

Records after or equals given datetime.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
source_created_on_or_before
string | null

Records before or equals given datetime.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$

Response

OK

data
object[]
paging
object